<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <!-- <link rel="icon" href="<%= BASE_URL %>favicon.ico"> -->
    <title>Text-To-Convert</title>
    <link rel="stylesheet" type="text/css" href="./styles/main.css">
    <script type="module" src="./scripts/main.js"></script>
    <script src="https://browser.sentry-cdn.com/5.8.0/bundle.min.js"
        integrity="sha384-qlxNoEAgNliJy7zXiR+uKx/fFAimdeVfEOK0SA5/wrXLioMmASbjvfVAMaQFKVI6" crossorigin="anonymous">
        </script>
</head>

<body>
    <noscript>
        <strong>We're sorry but this application needs JavaScript to work properly. Please enable it to
            continue.</strong>
    </noscript>
    <script>
        // Init sentry
        Sentry.init({ dsn: 'https://f07aa48634cf404d9a19d80505d29d63@sentry.io/1819172' });
    </script>

    <!-- Header -->
    <div id="header">
        <h1 id="homeTitle">TextToConvert</h1>
    </div>

    <!-- Editor -->
    <div id="editorParameters">
        <div class="parameters">
            <div class="leftParameters">
                <input list="inputList" type="text" name="inputFormat" id="inputFormat" placeholder="Markdown" />
                <datalist id="inputList">
                    <select name="inputSelection">
                        <option value="Markdown">Markdown</option>
                        <option value="HTML">HTML</option>
                    </select>
                </datalist>
            </div>
            <div class="rightParameters">
            </div>
        </div>
    </div>
    <div id="editorArea" class="area">
        <textarea class="textEditor" placeholder="Your text here..." id="textToConvert"></textarea>
    </div>

    <!-- Preview -->
    <div id="previewParameters">
        <div class="parameters">
            <div class="leftParameters">
                <input list="outputList" type="text" name="outputFormat" id="outputFormat" placeholder="HTML" />
                <datalist id="outputList">
                    <select name="outputSelection">
                        <option value="HTML">HTML</option>
                        <option value="PDF">PDF</option>
                    </select>
                </datalist>
                <button type='button' id="compile">Compile</button>
            </div>
            <div class="rightParameters">
                <a title='Download' role="button" id="downloadFile"
                    class='previewActions buttonDisabled'><span>&#8615;</span></a>
                <a title='Open in new tab' role="button" id="openFile"
                    class='previewActions buttonDisabled'><span>&#8599;</span></a>
            </div>
        </div>
    </div>
    <!-- Add href and download tag with javascript -->
    <div id="previewArea" class="area">
        <iframe class="iframeViewer" id="iframeViewer" src=''></iframe><br>
    </div>

    <!-- Footer -->
    <footer id="footer">test</footer>
</body>

</html>